Loading...
Searching...
No Matches
casacore::MSTimeGram_global_functions_MSTimeGramFunctions Struct Reference
ms package (libcasa_ms) » MSSel_module » MSSel_module_internal_classes

More...

`#include <MSTimeGram.h>`

## Public Member Functions

int | msTimeGramParseCommand (const MeasurementSet *ms, const String &command, const TableExprNode &otherTens)
| Declare the bison parser (is implemented by bison command).
int | msTimeGramParseCommand (const MeasurementSet *ms, const String &command, const TableExprNode &otherTens, Matrix< Double > &timeList)
int | msTimeGramParseCommand (const MeasurementSet *ms, const String &command, const TableExprNode &colAsTEN, MSSelectableMainColumn &msMainColInterface, const TableExprNode &otherTens, Matrix< Double > &timeList)
int | baseMSTimeGramParseCommand (MSTimeParse *parser, const String &command, Matrix< Double > &selectedTimeList)
void | MSTimeGramerror (const char *)
| The yyerror function for the parser.
const TableExprNode * | msTimeGramParseNode ()
| Give the table expression node.
void | msTimeGramParseDeleteNode ()
Int & | msTimeGramPosition ()
| Give the current position in the string.
int | msTimeGramInput (char *buf, int max_size)
| Declare the input routine for flex/bison.
String | msTimeGramRemoveEscapes (const String &in)
| A function to remove escaped characters.
void | msTimeGramSetTimeFields (struct TimeFields &tf, Int year, Int month, Int day, Int hour, Int minute, Int sec, Int fsec)
| A function to remove quotes from a quoted string.

## Detailed Description

Global functions for flex/bison scanner/parser for MSTimeGram

### Intended use:

Internal

### Prerequisite

- MSTimeGram.l and.y (flex and bison grammar)

### Synopsis

Global functions are needed to define the input of the flex scanner and to start the bison parser. The input is taken from a string.

### Motivation

It is necessary to be able to give an image expression in ASCII. This can be used in glish.

Definition at line 71 of file MSTimeGram.h.

## Member Function Documentation

## baseMSTimeGramParseCommand()

int casacore::MSTimeGram_global_functions_MSTimeGramFunctions::baseMSTimeGramParseCommand | ( | MSTimeParse * | parser,
|  | const String & | command,
|  | Matrix< Double > & | selectedTimeList )

## MSTimeGramerror()

void casacore::MSTimeGram_global_functions_MSTimeGramFunctions::MSTimeGramerror | ( | const char * |  | ) |

The yyerror function for the parser.

It throws an exception with the current token.

## msTimeGramInput()

int casacore::MSTimeGram_global_functions_MSTimeGramFunctions::msTimeGramInput | ( | char * | buf,
|  | int | max_size )

Declare the input routine for flex/bison.

## msTimeGramParseCommand() [1/3]

int casacore::MSTimeGram_global_functions_MSTimeGramFunctions::msTimeGramParseCommand | ( | const MeasurementSet * | ms,
|  | const String & | command,
|  | const TableExprNode & | colAsTEN,
|  | MSSelectableMainColumn & | msMainColInterface,
|  | const TableExprNode & | otherTens,
|  | Matrix< Double > & | timeList )

## msTimeGramParseCommand() [2/3]

int casacore::MSTimeGram_global_functions_MSTimeGramFunctions::msTimeGramParseCommand | ( | const MeasurementSet * | ms,
|  | const String & | command,
|  | const TableExprNode & | otherTens )

Declare the bison parser (is implemented by bison command).

## msTimeGramParseCommand() [3/3]

int casacore::MSTimeGram_global_functions_MSTimeGramFunctions::msTimeGramParseCommand | ( | const MeasurementSet * | ms,
|  | const String & | command,
|  | const TableExprNode & | otherTens,
|  | Matrix< Double > & | timeList )

## msTimeGramParseDeleteNode()

void casacore::MSTimeGram_global_functions_MSTimeGramFunctions::msTimeGramParseDeleteNode | ( |  | ) |

## msTimeGramParseNode()

const TableExprNode * casacore::MSTimeGram_global_functions_MSTimeGramFunctions::msTimeGramParseNode | ( |  | ) |

Give the table expression node.

## msTimeGramPosition()

Int & casacore::MSTimeGram_global_functions_MSTimeGramFunctions::msTimeGramPosition | ( |  | ) |

Give the current position in the string.

This can be used when parse errors occur.

## msTimeGramRemoveEscapes()

String casacore::MSTimeGram_global_functions_MSTimeGramFunctions::msTimeGramRemoveEscapes | ( | const String & | in | ) |

A function to remove escaped characters.

## msTimeGramSetTimeFields()

void casacore::MSTimeGram_global_functions_MSTimeGramFunctions::msTimeGramSetTimeFields | ( | struct TimeFields & | tf,
|  | Int | year,
|  | Int | month,
|  | Int | day,
|  | Int | hour,
|  | Int | minute,
|  | Int | sec,
|  | Int | fsec )

A function to remove quotes from a quoted string.

String msTimeGramRemoveQuotes (const String& in);

A function to set the fields of the TimeFields structure

References casacore::day(), casacore::month(), and casacore::year().

The documentation for this struct was generated from the following file:

- ms/MSSel/MSTimeGram.h